Subject: Re: bug#67752: [PATCH] Fix (setopt register-separator "\n") non-matching type warning

From: [email-masked]
Date: Sat, 16 Dec 2023 20:02:43 +0000

On 16.12.2023 13:06, Eli Zaretskii wrote:
> tags 67752 notabug
[...]
> I think register-separator is supposed to be a register, not a
> separator string.  That's how it is documented.
> 
> So I don't think these changes should be installed.
> 
Indeed, I did not understand from the documentation that the
"+" register is special and that one can do directly:
(set-register ?+ "\n*REGISTER SEPARATOR*\n")

I am sorry for the noise and you can close the bug as far as it
concerns me.

Regards